New ACC with SLADE

Ask about ACS, DECORATE, ZScript, or any other scripting questions here!

Moderator: GZDoom Developers

Forum rules
Before asking on how to use a ZDoom feature, read the ZDoom wiki first. If you still don't understand how to use a feature, then ask here.

Please bear in mind that the people helping you do not automatically know how much you know. You may be asked to upload your project file to look at. Don't be afraid to ask questions about what things mean, but also please be patient with the people trying to help you. (And helpers, please be patient with the person you're trying to help!)
User avatar
amv2k9
Posts: 2178
Joined: Sun Jan 10, 2010 4:05 pm
Location: Southern California

New ACC with SLADE

Post by amv2k9 »

So I recently needed to make a KILL-type script. I used somebody else's as a base, since I had to do some stuff with setting activator and so forth that I'm not familiar with. I got an error saying the KILL was a bad script declaration. I assumed my script was the problem, but then I tried compiling the script from the other mod, which gave the same error. So I figured my version of ACC was way out of date. I download v1.55 of ACC. I point SLADE to the acc executable in the 'Scripting' tab in Preferences. Then I attempt to compile the script again, upon which I get this error:
Image
Blue Shadow
Posts: 4964
Joined: Sun Nov 14, 2010 12:59 am

Re: New ACC with SLADE

Post by Blue Shadow »

It looks like ACC is executed without arguments being passed to it... weird.

This is probably moot right now, but to use Kill-type scripts, you need a newer version of ACC than the latest official release, which you can get from here (the one at top).

Return to “Scripting”